Bug 1640533 - Ansible Playbook execution fails, throwing Credentials error in the log.
Summary: Ansible Playbook execution fails, throwing Credentials error in the log.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Lucy Fu
QA Contact: Satyajit Bulage
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1602883
TreeView+ depends on / blocked
 
Reported: 2018-10-18 09:50 UTC by Nikhil Dhandre
Modified: 2019-02-12 16:52 UTC (History)
15 users (show)

Fixed In Version: 5.10.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:52:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 7 William Fitzgerald 2018-10-18 18:16:11 UTC
I tested this on the 5.10.0.20 build from sprout and recreated the issue.  I am using the default credentials.

Billy

Comment 9 Tina Fitzgerald 2018-10-18 21:25:28 UTC
Tower 3.3 was added in the 5.10.18 build. Builds 5.10.18 and 5.10.19 had issues where embedded Ansible wouldn't start.

Comment 10 William Fitzgerald 2018-10-18 21:32:52 UTC
Works in 5.10.0.17

Comment 13 William Fitzgerald 2018-10-25 20:06:30 UTC
James,

I just built a sprout appliance (10.8.198.202) with the latest 5.10.0.21 and still having the credential problem.

You can test the credentials there.  Feel free to change anything you like.

Billy

Comment 15 Greg McCullough 2018-11-01 14:01:49 UTC
Along with the PR from James we need to switch the callers to use the new native_ref property instead of manager_ref.

Moving the BZ to Lucy to complete this part of the task.

Comment 16 CFME Bot 2018-11-02 13:23:01 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/e25b6b165860750d6b0ce6b5edf6f882de70b609
commit e25b6b165860750d6b0ce6b5edf6f882de70b609
Author:     James Wong <jwong@redhat.com>
AuthorDate: Wed Oct 31 15:30:00 2018 -0400
Commit:     James Wong <jwong@redhat.com>
CommitDate: Wed Oct 31 15:30:00 2018 -0400

    Tower 3.3 fix

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/authentication.rb | 5 +
 1 file changed, 5 insertions(+)

Comment 17 CFME Bot 2018-11-02 13:23:51 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/e565704b885cb59be1f4dbfbdce94c451b567961
commit e565704b885cb59be1f4dbfbdce94c451b567961
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Nov  1 15:54:53 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Nov  1 15:54:53 2018 -0400

    Merge pull request #18154 from jameswnl/tower33

    Credential.manager_ref needs to be an integer for Tower 3.3

    (cherry picked from commit 7d7b570d3d54846c2f923758ca0107c09ac41daf)

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/authentication.rb | 5 +
 1 file changed, 5 insertions(+)

Comment 19 CFME Bot 2018-11-02 14:16:36 UTC
New commits detected on ManageIQ/manageiq-providers-ansible_tower/hammer:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/a45325609bd2294ae3376d89f98154d757cd23e3
commit a45325609bd2294ae3376d89f98154d757cd23e3
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Nov  1 15:55:08 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Nov  1 15:55:08 2018 -0400

    Merge pull request #134 from jameswnl/tower33

    Tower 3.3 fix: Credential.manager_ref need to be an integer for Tower 3.3

    (cherry picked from commit 73ba300544826bf50c8ca635c17a4b625349aeef)

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/credential.rb | 6 +-
 spec/support/ansible_shared/automation_manager/credential.rb | 14 +
 2 files changed, 19 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/5789c034d667ad32bed92d1c26541fb0410fc200
commit 5789c034d667ad32bed92d1c26541fb0410fc200
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Nov  1 17:15:03 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Nov  1 17:15:03 2018 -0400

    Merge pull request #138 from lfu/ansible_cred_ref_1640533

    Credential.manager_ref need to be an integer for Tower 3.3

    (cherry picked from commit 9e3e1ad903124851722654334055de6f24e1d9c7)

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/configuration_script_source.rb | 2 +-
 spec/support/ansible_shared/automation_manager/configuration_script_source.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 20 CFME Bot 2018-11-02 14:16:45 UTC
New commits detected on ManageIQ/manageiq-providers-ansible_tower/master:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/920cd2eda847f5fdcacb98746dc78485e249bfe4
commit 920cd2eda847f5fdcacb98746dc78485e249bfe4
Author:     James Wong <jwong@redhat.com>
AuthorDate: Fri Oct 26 18:48:45 2018 -0400
Commit:     James Wong <jwong@redhat.com>
CommitDate: Fri Oct 26 18:48:45 2018 -0400

    Tower 3.3 fix

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/credential.rb | 6 +-
 spec/support/ansible_shared/automation_manager/credential.rb | 14 +
 2 files changed, 19 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/c0b0344f10c2e0063e52b2bd037ee008e243fe54
commit c0b0344f10c2e0063e52b2bd037ee008e243fe54
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Nov  1 15:29:50 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Nov  1 15:29:50 2018 -0400

    Credential.manager_ref need to be an integer for Tower 3.3

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/configuration_script_source.rb | 2 +-
 spec/support/ansible_shared/automation_manager/configuration_script_source.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 21 CFME Bot 2018-11-02 14:16:52 UTC
New commits detected on ManageIQ/manageiq-providers-ansible_tower/hammer:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/a45325609bd2294ae3376d89f98154d757cd23e3
commit a45325609bd2294ae3376d89f98154d757cd23e3
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Nov  1 15:55:08 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Nov  1 15:55:08 2018 -0400

    Merge pull request #134 from jameswnl/tower33

    Tower 3.3 fix: Credential.manager_ref need to be an integer for Tower 3.3

    (cherry picked from commit 73ba300544826bf50c8ca635c17a4b625349aeef)

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/credential.rb | 6 +-
 spec/support/ansible_shared/automation_manager/credential.rb | 14 +
 2 files changed, 19 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/5789c034d667ad32bed92d1c26541fb0410fc200
commit 5789c034d667ad32bed92d1c26541fb0410fc200
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Nov  1 17:15:03 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Nov  1 17:15:03 2018 -0400

    Merge pull request #138 from lfu/ansible_cred_ref_1640533

    Credential.manager_ref need to be an integer for Tower 3.3

    (cherry picked from commit 9e3e1ad903124851722654334055de6f24e1d9c7)

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/configuration_script_source.rb | 2 +-
 spec/support/ansible_shared/automation_manager/configuration_script_source.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 22 CFME Bot 2018-11-02 14:16:59 UTC
New commits detected on ManageIQ/manageiq-providers-ansible_tower/master:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/920cd2eda847f5fdcacb98746dc78485e249bfe4
commit 920cd2eda847f5fdcacb98746dc78485e249bfe4
Author:     James Wong <jwong@redhat.com>
AuthorDate: Fri Oct 26 18:48:45 2018 -0400
Commit:     James Wong <jwong@redhat.com>
CommitDate: Fri Oct 26 18:48:45 2018 -0400

    Tower 3.3 fix

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/credential.rb | 6 +-
 spec/support/ansible_shared/automation_manager/credential.rb | 14 +
 2 files changed, 19 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/c0b0344f10c2e0063e52b2bd037ee008e243fe54
commit c0b0344f10c2e0063e52b2bd037ee008e243fe54
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Nov  1 15:29:50 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Nov  1 15:29:50 2018 -0400

    Credential.manager_ref need to be an integer for Tower 3.3

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/configuration_script_source.rb | 2 +-
 spec/support/ansible_shared/automation_manager/configuration_script_source.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 23 CFME Bot 2018-11-05 16:46:13 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/026f4f12ab0dc21b190ff0a5b5f8331f4bfc18ea
commit 026f4f12ab0dc21b190ff0a5b5f8331f4bfc18ea
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Nov  1 15:49:10 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Nov  1 15:49:10 2018 -0400

    Credential.manager_ref need to be an integer for Tower 3.3

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/embedded_ansible/automation_manager/playbook.rb | 2 +-
 app/models/service_ansible_playbook.rb | 2 +-
 app/models/service_template_ansible_playbook.rb | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)


https://github.com/ManageIQ/manageiq/commit/bf62a8c55930333bdcbe03240a56dbbabe539133
commit bf62a8c55930333bdcbe03240a56dbbabe539133
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Nov  1 15:51:09 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Nov  1 15:51:09 2018 -0400

    Changes of test cases for the integer Credential.manager_ref in Tower 3.3

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 spec/factories/authentication.rb | 26 +-
 spec/models/manageiq/providers/embedded_ansible/automation_manager/playbook_spec.rb | 8 +-
 spec/models/service_ansible_playbook_spec.rb | 12 +-
 spec/models/service_template_ansible_playbook_spec.rb | 12 +-
 4 files changed, 33 insertions(+), 25 deletions(-)

Comment 24 CFME Bot 2018-11-05 19:55:51 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/2031d474ae4465f2fc9cafbba13e8614e0750cc5
commit 2031d474ae4465f2fc9cafbba13e8614e0750cc5
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Nov  5 11:00:25 2018 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Nov  5 11:00:25 2018 -0500

    Merge pull request #18155 from lfu/ansible_cred_ref_1640533

    Credential.manager_ref need to be an integer for Tower 3.3

    (cherry picked from commit 9ac7cfad0cccb0109fdb53f4425e34f4ab7a023b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1640533

 app/models/manageiq/providers/embedded_ansible/automation_manager/playbook.rb | 2 +-
 app/models/service_ansible_playbook.rb | 2 +-
 app/models/service_template_ansible_playbook.rb | 2 +-
 spec/factories/authentication.rb | 26 +-
 spec/models/manageiq/providers/embedded_ansible/automation_manager/playbook_spec.rb | 8 +-
 spec/models/service_ansible_playbook_spec.rb | 12 +-
 spec/models/service_template_ansible_playbook_spec.rb | 12 +-
 7 files changed, 36 insertions(+), 28 deletions(-)

Comment 25 Satyajit Bulage 2018-11-12 13:00:46 UTC
Successfully ordered Ansible Playbook service with any error.

Verified Version: 5.10.0.23.20181106165157_92dd189


Note You need to log in before you can comment on or make changes to this bug.